import '../../marianumconnect_query.dart';
import 'timetable_get_timegrid_response.dart';

class TimetableGetTimegrid extends MarianumConnectQuery {
  TimetableGetTimegrid({super.dio});

  Future<TimetableGetTimegridResponse> run() async =>
      TimetableGetTimegridResponse(
        result: await getList('timetable/timegrid', McTimegridUnit.fromJson),
      );
}
